## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanArrayKeyMap Class Template Reference

`#include <XalanArrayKeyMap.hpp>`

List of all members.

## Public Types

- typedef std::vector<KeyType> VectorType
- typedef std::map<const KeyType*,
  ValueType, CompareType> MapType
- typedef std::deque<VectorType> VectorHolderType
- typedef MapType::key_type key_type
- typedef MapType::value_type value_type
- typedef ValueType referent_type
- typedef CompareType key_compare
- typedef MapType::allocator_type allocator_type
- typedef MapType::size_type size_type
- typedef MapType::difference_type difference_type
- typedef MapType::reference reference
- typedef MapType::const_reference const_reference
- typedef MapType::iterator iterator
- typedef MapType::const_iterator const_iterator
- typedef MapType::reverse_iterator reverse_iterator
- typedef MapType::const_reverse_iterator const_reverse_iterator
- typedef std::pair<iterator,
  bool> insert_pair_type
- typedef std::pair<iterator,
  iterator> range_pair_type
- typedef std::pair<const_iterator,
  const_iterator> const_range_pair_type

## Public Methods

- XalanArrayKeyMap ()
- XalanArrayKeyMap (const XalanArrayKeyMap< KeyType, ValueType, CompareType > &theOther)
- ~XalanArrayKeyMap ()
- XalanArrayKeyMap<KeyType,
  ValueType, CompareType>& operator= (const XalanArrayKeyMap< KeyType, ValueType, CompareType > &theRHS)
- bool operator== (const XalanArrayKeyMap< KeyType, ValueType, CompareType > &theRHS) const
- size_type size () const
- size_type max_size () const
- bool empty () const
- iterator begin ()
- const_iterator begin () const
- iterator end ()
- const_iterator end () const
- reverse_iterator rbegin ()
- const_reverse_iterator rbegin () const
- reverse_iterator rend ()
- const_reverse_iterator rend () const
- insert_pair_type insert (const value_type &thePair)
- referent_type& operator[] (const key_type &theKey)
- iterator find (const key_type &theKey)
- const_iterator find (const key_type &theKey) const
- iterator lower_bound (const key_type &theKey)
- const_iterator lower_bound (const key_type &theKey) const
- iterator upper_bound (const key_type &theKey)
- const_iterator upper_bound (const key_type &theKey) const
- range_pair_type equal_range (const key_type &theKey)
- const_range_pair_type equal_range (const key_type &theKey) const
- iterator erase (iterator theIterator)
- iterator erase (iterator theFirst, iterator theLast)
- size_type erase (const key_type &theKey)
- void swap (XalanArrayKeyMap< KeyType, ValueType, CompareType > &theOther)

### template<class KeyType, class ValueType, class CompareType> class XalanArrayKeyMap

## Member Typedef Documentation

template<class KeyType, class ValueType, class CompareType>
typedef std::map< const KeyType *, ValueType, CompareType > XalanArrayKeyMap<KeyType, ValueType, CompareType>::MapType<const KeyType*, ValueType, CompareType>

template<class KeyType, class ValueType, class CompareType>
typedef std::deque< VectorType > XalanArrayKeyMap<KeyType, ValueType, CompareType>::VectorHolderType<VectorType>

template<class KeyType, class ValueType, class CompareType>
typedef std::vector< KeyType > XalanArrayKeyMap<KeyType, ValueType, CompareType>::VectorType<KeyType>

template<class KeyType, class ValueType, class CompareType>
typedef MapType::allocator_type XalanArrayKeyMap<KeyType, ValueType, CompareType>::allocator_type

template<class KeyType, class ValueType, class CompareType>
typedef MapType::const_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::const_iterator

template<class KeyType, class ValueType, class CompareType>
typedef std::pair< const_iterator, const_iterator > XalanArrayKeyMap<KeyType, ValueType, CompareType>::const_range_pair_type<const_iterator, const_iterator>

template<class KeyType, class ValueType, class CompareType>
typedef MapType::const_reference XalanArrayKeyMap<KeyType, ValueType, CompareType>::const_reference

template<class KeyType, class ValueType, class CompareType>
typedef MapType::const_reverse_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::const_reverse_iterator

template<class KeyType, class ValueType, class CompareType>
typedef MapType::difference_type XalanArrayKeyMap<KeyType, ValueType, CompareType>::difference_type

template<class KeyType, class ValueType, class CompareType>
typedef std::pair< iterator, bool > XalanArrayKeyMap<KeyType, ValueType, CompareType>::insert_pair_type<iterator, bool>

template<class KeyType, class ValueType, class CompareType>
typedef MapType::iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::iterator

template<class KeyType, class ValueType, class CompareType>
typedef CompareType XalanArrayKeyMap<KeyType, ValueType, CompareType>::key_compare

template<class KeyType, class ValueType, class CompareType>
typedef MapType::key_type XalanArrayKeyMap<KeyType, ValueType, CompareType>::key_type

template<class KeyType, class ValueType, class CompareType>
typedef std::pair< iterator, iterator > XalanArrayKeyMap<KeyType, ValueType, CompareType>::range_pair_type<iterator, iterator>

template<class KeyType, class ValueType, class CompareType>
typedef MapType::reference XalanArrayKeyMap<KeyType, ValueType, CompareType>::reference

template<class KeyType, class ValueType, class CompareType>
typedef ValueType XalanArrayKeyMap<KeyType, ValueType, CompareType>::referent_type

template<class KeyType, class ValueType, class CompareType>
typedef MapType::reverse_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::reverse_iterator

template<class KeyType, class ValueType, class CompareType>
typedef MapType::size_type XalanArrayKeyMap<KeyType, ValueType, CompareType>::size_type

template<class KeyType, class ValueType, class CompareType>
typedef MapType::value_type XalanArrayKeyMap<KeyType, ValueType, CompareType>::value_type

## Constructor & Destructor Documentation

template<class KeyType, class ValueType, class CompareType>
XalanArrayKeyMap<KeyType, ValueType, CompareType>::XalanArrayKeyMap<KeyType, ValueType, CompareType> ( | )`[explicit]`

template<class KeyType, class ValueType, class CompareType>
XalanArrayKeyMap<KeyType, ValueType, CompareType>::XalanArrayKeyMap<KeyType, ValueType, CompareType> ( | const XalanArrayKeyMap< KeyType, ValueType, CompareType > & theOther )

template<class KeyType, class ValueType, class CompareType>
XalanArrayKeyMap<KeyType, ValueType, CompareType>::~XalanArrayKeyMap<KeyType, ValueType, CompareType> ( | )

## Member Function Documentation

template<class KeyType, class ValueType, class CompareType>
const_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::begin ( | ) const

template<class KeyType, class ValueType, class CompareType>
iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::begin ( | )

template<class KeyType, class ValueType, class CompareType>
bool XalanArrayKeyMap<KeyType, ValueType, CompareType>::empty ( | ) const

template<class KeyType, class ValueType, class CompareType>
const_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::end ( | ) const

template<class KeyType, class ValueType, class CompareType>
iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::end ( | )

template<class KeyType, class ValueType, class CompareType>
const_range_pair_type XalanArrayKeyMap<KeyType, ValueType, CompareType>::equal_range ( | const key_type & theKey ) const

template<class KeyType, class ValueType, class CompareType>
range_pair_type XalanArrayKeyMap<KeyType, ValueType, CompareType>::equal_range ( | const key_type & theKey )

template<class KeyType, class ValueType, class CompareType>
size_type XalanArrayKeyMap<KeyType, ValueType, CompareType>::erase ( | const key_type & theKey )

template<class KeyType, class ValueType, class CompareType>
iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::erase ( | iterator theFirst,
| iterator theLast )

template<class KeyType, class ValueType, class CompareType>
iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::erase ( | iterator theIterator )

template<class KeyType, class ValueType, class CompareType>
const_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::find ( | const key_type & theKey ) const

template<class KeyType, class ValueType, class CompareType>
iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::find ( | const key_type & theKey )

template<class KeyType, class ValueType, class CompareType>
insert_pair_type XalanArrayKeyMap<KeyType, ValueType, CompareType>::insert ( | const value_type & thePair )

template<class KeyType, class ValueType, class CompareType>
const_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::lower_bound ( | const key_type & theKey ) const

template<class KeyType, class ValueType, class CompareType>
iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::lower_bound ( | const key_type & theKey )

template<class KeyType, class ValueType, class CompareType>
size_type XalanArrayKeyMap<KeyType, ValueType, CompareType>::max_size ( | ) const

template<class KeyType, class ValueType, class CompareType>
XalanArrayKeyMap< KeyType, ValueType, CompareType > & XalanArrayKeyMap<KeyType, ValueType, CompareType>::operator=<KeyType, ValueType, CompareType> ( | const XalanArrayKeyMap< KeyType, ValueType, CompareType > & theRHS )

template<class KeyType, class ValueType, class CompareType>
bool XalanArrayKeyMap<KeyType, ValueType, CompareType>::operator== ( | const XalanArrayKeyMap< KeyType, ValueType, CompareType > & theRHS ) const

template<class KeyType, class ValueType, class CompareType>
referent_type & XalanArrayKeyMap<KeyType, ValueType, CompareType>::operator[] ( | const key_type & theKey )

template<class KeyType, class ValueType, class CompareType>
const_reverse_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::rbegin ( | ) const

template<class KeyType, class ValueType, class CompareType>
reverse_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::rbegin ( | )

template<class KeyType, class ValueType, class CompareType>
const_reverse_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::rend ( | ) const

template<class KeyType, class ValueType, class CompareType>
reverse_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::rend ( | )

template<class KeyType, class ValueType, class CompareType>
size_type XalanArrayKeyMap<KeyType, ValueType, CompareType>::size ( | ) const

template<class KeyType, class ValueType, class CompareType>
void XalanArrayKeyMap<KeyType, ValueType, CompareType>::swap ( | XalanArrayKeyMap< KeyType, ValueType, CompareType > & theOther )

template<class KeyType, class ValueType, class CompareType>
const_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::upper_bound ( | const key_type & theKey ) const

template<class KeyType, class ValueType, class CompareType>
iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::upper_bound ( | const key_type & theKey )

The documentation for this class was generated from the following file:

- XalanArrayKeyMap.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.